package com.brulijam.minecraftapi.model;

import com.brulijam.minecraftapi.service.TutelService;
import lombok.Data;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

//@Getter
//@Setter
//@AllArgsConstructor
@Data
@RequiredArgsConstructor
public class Tutel {

    private final long id;
    private final long telegramUserId;
    private final String label;
    private int fuelLevel;
    private String task;
    private JSONObject inventory;


    public Tutel(String label, long telegramUserId) {
        if (label.endsWith("=")) {
            label = label.substring(0, label.length() - 1);
        }
        label = label.replace("+", " ");
        this.label = label;
        this.id = Math.abs(this.hashCode());
        this.telegramUserId = telegramUserId;
        this.fuelLevel = 0;
        this.task = "";
    }
}
